Policy on WordPress, Theme, and Plugin updates

Author: Denny Brown Last modified on: December 26, 2013 5:03 pm
Share this post...

XWS provides a manual update service for our “Done for you” clients. Optionally, we provide the same service for some of our “Do it yourself” clients. This page describes our policies and procedures.

Background

WordPress frequently releases updates to its core software. WordPress developers encourage all of their users to keep up with the updates. Often, new releases plug security holes discovered since the previous release. We support this policy by providing a service that keeps our customers’ sites as up to date as their business requires.

XWS policy

We encourage many of our customers to have both a live site and a development site. We use the development site to test out new functionality before taking it live.

If there is a dev site, when WordPress publishes an update, we quickly upgrade the dev site to the latest version. We notify the customer to test the dev site to see if anything looks wrong. When the customer agrees, we update the live site.

If there is no dev site, we wait to see whether other sites have had a problem with the new version, or with interactions with the themes and plugins on the site. When we think that it is safe to update the live site, we inform the customer and then update the site.

Starting with version 3.7 of WordPress, the core software will automatically update from one minor release to another. That is, if your site is running version 3.7.1 and they release a version 3.7.2, your software will automatically update itself. It does not automatically update major releases. That is, if your site is running version 3.7.1 and they release a version 3.8, your software will NOT automatically update itself.

There is a way to change the default behavior so that your site does NOT automatically update for minor releases. Please contact support at XWS if you think you want to disable automatic updates. We will try to talk you out of that. We think that the automatic update policy is a good one.

Customer specifics

TDA (Done for you) – All current sites have a dev site. Generally, we follow the policy as described here. Recently, however, with the move to VPS.net, we have not yet updated the dev sites to v3.8. (as of 12/26/2013). We are working with each site’s owner to bring these up appropriately. Note: tdagroup.com uses Shortcode Ultimate (SCU). Because of incompatibilities, we cannot update that plugin yet.

ASEPCO (Done for you) – We don’t yet have a dev site. We will be updating to v.8 soon. Note: asepco.com uses SCU. Because of incompatibilities, we cannot update that plugin yet.

XS (Done for you) – We have a dev site. We follow the policy here. xs.com uses SCU. Because of incompatibilities, we cannot update that plugin yet.

NLPCO (Do it yourself) – nlpco.com has a dev site. We follow the policy described here. eg.nlpco.com and member.nlpco.com do not have dev sites. We will be updating these soon.

Other “Do it yourself” customers – We follow the policy described here. We are working through the customer list. Some have already been updated. Some are still to be done. Please contact support at XWS if you have any questions.

 

 

Leave a Reply